JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class NTSecApi.LSA_UNICODE_STRING

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.NTSecApi.LSA_UNICODE_STRING

Direct Known Subclasses:
  NTSecApi.LSA_UNICODE_STRING.ByReference

Enclosing interface:
  NTSecApi

    public static class NTSecApi.LSA_UNICODE_STRING

extends Structure

The LSA_UNICODE_STRING structure is used by various Local Security Authority (LSA) functions to specify a Unicode string.

Nested Class Summary
`static class` `NTSecApi.LSA_UNICODE_STRING.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`Pointer` `Buffer` Pointer to a wide character string.
`short` `Length` Specifies the length, in bytes, of the string pointed to by the Buffer member, not including the terminating null character, if any.
`short` `MaximumLength` Specifies the total size, in bytes, of the memory allocated for Buffer.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`NTSecApi.LSA_UNICODE_STRING()`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.
`java.lang.String` `getString()` String representation of the buffer.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Length

    public short Length

  Specifies the length, in bytes, of the string pointed to by the Buffer member, not including the terminating null character, if any.

### MaximumLength

    public short MaximumLength

  Specifies the total size, in bytes, of the memory allocated for Buffer. Up to MaximumLength bytes can be written into the buffer without trampling memory.

### Buffer

    public Pointer Buffer

  Pointer to a wide character string. Note that the strings returned by the various LSA functions might not be null terminated.

Constructor Detail

### NTSecApi.LSA_UNICODE_STRING

    public NTSecApi.LSA_UNICODE_STRING()

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

### getString

    public java.lang.String getString()

  String representation of the buffer.

  Returns:
    Unicode string.

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.